---
updatedAt: 2025-09-10T21:00:21.000Z
agentTools:
  projectIndex: https://shipcars.readme.io/llms.txt
---

# /attachments/

Retrieves a list of attachments.

# OpenAPI definition

```json
{
  "openapi": "3.0.1",
  "info": {
    "title": "CTMS",
    "description": "Ship.Cars CTMS",
    "contact": {
      "url": "https://ship.cars",
      "email": "support@ship.cars"
    },
    "version": "1.0.0"
  },
  "components": {
    "securitySchemes": {
      "bearerAuth": {
        "type": "oauth2",
        "flows": {
          "password": {
            "tokenUrl": "https://auth.ship.cars/auth/realms/master/protocol/openid-connect/token",
            "scopes": {}
          }
        }
      }
    }
  },
  "servers": [
    {
      "url": "https://ship.cars/api"
    }
  ],
  "paths": {
    "/attachments/": {
      "get": {
        "tags": [
          "Attachments"
        ],
        "description": "Retrieves a list of attachments.",
        "operationId": "attachments_list",
        "parameters": [
          {
            "name": "Authorization",
            "in": "header",
            "description": "Authenticates API requests with a valid access token.",
            "required": true,
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "limit",
            "in": "query",
            "description": "Specifies the maximum number of results to return per page. Combine with `offset` for pagination.",
            "schema": {
              "type": "integer"
            }
          },
          {
            "name": "offset",
            "in": "query",
            "description": "Specifies the number of results to skip in the response. Combine with `limit` for pagination.",
            "schema": {
              "type": "integer"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "Success",
            "content": {
              "application/json": {
                "schema": {
                  "required": [
                    "count",
                    "results"
                  ],
                  "type": "object",
                  "properties": {
                    "results": {
                      "uniqueItems": true,
                      "type": "array",
                      "description": "List of results on the page.",
                      "items": {
                        "required": [
                          "file",
                          "load",
                          "type",
                          "vehicle"
                        ],
                        "type": "object",
                        "properties": {
                          "file": {
                            "type": "string",
                            "description": "File to be attached to the specified load or vehicle.",
                            "format": "binary"
                          },
                          "load": {
                            "type": "string",
                            "description": "URL of the load to which the file is attached.",
                            "format": "uri"
                          },
                          "vehicle": {
                            "type": "string",
                            "description": "URL of the vehicle to which the file is attached.",
                            "format": "uri"
                          },
                          "type": {
                            "type": "string",
                            "description": "Type of the attached file.",
                            "enum": [
                              "pickup_signature",
                              "delivery_signature",
                              "pickup_sketch",
                              "delivery_sketch",
                              "pickup_damages_picture",
                              "delivery_damages_picture",
                              "pickup_odometer_picture",
                              "delivery_odometer_picture",
                              "pickup_bol",
                              "delivery_bol",
                              "invoice",
                              "dispatch_sheet",
                              "scanned_document",
                              "other"
                            ]
                          },
                          "segment": {
                            "type": "string",
                            "description": "Vehicle segment to which the attached file applies.",
                            "enum": [
                              "front",
                              "back",
                              "left",
                              "right",
                              "top"
                            ]
                          },
                          "share_with_driver": {
                            "type": "boolean",
                            "description": "Indicates whether driver users can access the attached file.",
                            "default": true
                          },
                          "location": {
                            "type": "object",
                            "properties": {
                              "coordinates": {
                                "type": "array",
                                "description": "List of coordinates associated with the entry.",
                                "items": {
                                  "type": "number",
                                  "description": "Longitude and latitude of an individual point.",
                                  "format": "float"
                                }
                              },
                              "type": {
                                "type": "string",
                                "description": "Geometry type of the entry.",
                                "example": "Point"
                              }
                            },
                            "description": "GeoJSON Geometry object with the GPS coordinates of the location associated with the attached file."
                          },
                          "comments": {
                            "type": "string",
                            "description": "Additional comments about the attached file."
                          },
                          "timestamp": {
                            "type": "string",
                            "description": "Date and time when the attached file is originally created.",
                            "format": "date-time"
                          },
                          "timezone": {
                            "maxLength": 64,
                            "type": "string",
                            "description": "Time zone in which the attached file is originally created."
                          }
                        }
                      }
                    },
                    "previous": {
                      "type": "string",
                      "description": "URL of the previous page of results.",
                      "format": "uri"
                    },
                    "next": {
                      "type": "string",
                      "description": "URL of the next page of results.",
                      "format": "uri",
                      "example": "https://ship.cars/api/attachments/?limit=3&offset=3"
                    },
                    "count": {
                      "type": "integer",
                      "description": "Total number of results."
                    }
                  }
                },
                "example": {
                  "results": [
                    {
                      "vehicle_id": "96gnd",
                      "load_id": "dev4v",
                      "vehicle": "https://ship.cars/api/vehicles/96gnd/",
                      "create_time": "2018-05-15T20:08:15.823Z",
                      "share_with_driver": true,
                      "active": true,
                      "type": "delivery_bol",
                      "converted_timestamp": "Tuesday, May 15, 2018 at 03:08 PM",
                      "load": "https://ship.cars/api/loads/dev4v/",
                      "damages": [],
                      "image": {
                        "thumbnail": "https://media.ship.cars/media/__sized__/201805-01-DEL-2016-Toyota-Camry-D180514-thumbnail-384x216.pdf",
                        "full_size": "https://media.ship.cars/media/201805-01-DEL-2016-Toyota-Camry-D180514.pdf"
                      },
                      "file": "https://media.ship.cars/media/201805-01-DEL-2016-Toyota-Camry-D180514.pdf",
                      "id": "xngeb",
                      "url": "https://ship.cars/api/attachments/xngeb/"
                    },
                    {
                      "vehicle_id": "96gnd",
                      "creator_id": "ze19",
                      "load_id": "dev4v",
                      "vehicle": "https://ship.cars/api/vehicles/96gnd/",
                      "timezone": "CDT",
                      "timestamp": "2018-05-15T20:07:11.000Z",
                      "create_time": "2018-05-15T20:07:57.772Z",
                      "location_address": "1344 SE 1st Street, Lawton, OK 73501",
                      "location": {
                        "coordinates": [
                          23.2911862,
                          42.6681018
                        ],
                        "type": "Point"
                      },
                      "share_with_driver": true,
                      "active": true,
                      "width": 1000,
                      "height": 562,
                      "type": "delivery_signature",
                      "converted_timestamp": "Tuesday, May 15, 2018 at 03:07 PM",
                      "creator": "https://ship.cars/api/users/ze19/",
                      "load": "https://ship.cars/api/loads/dev4v/",
                      "damages": [],
                      "image": {
                        "thumbnail": "https://media.ship.cars/media/__sized__/2018-05-15T150757.451174-thumbnail-384x216-70.jpg",
                        "full_size": "https://media.ship.cars/media/2018-05-15T150757.451174.jpg"
                      },
                      "file": "https://media.ship.cars/media/2018-05-15T150757.451174.jpg",
                      "id": "m3xbq",
                      "url": "https://ship.cars/api/attachments/m3xbq/"
                    },
                    {
                      "vehicle_id": "96gnd",
                      "creator_id": "ze19",
                      "load_id": "dev4v",
                      "vehicle": "https://ship.cars/api/vehicles/96gnd/",
                      "timezone": "CDT",
                      "timestamp": "2018-05-15T20:06:31.000Z",
                      "create_time": "2018-05-15T20:07:54.876Z",
                      "location_address": "1344 SE 1st Street, Lawton, OK 73501",
                      "location": {
                        "coordinates": [
                          23.2911862,
                          42.6681018
                        ],
                        "type": "Point"
                      },
                      "share_with_driver": true,
                      "active": true,
                      "width": 1000,
                      "height": 812,
                      "original_file": "https://media.ship.cars/media/2018-05-15T150805.735106.jpg",
                      "type": "delivery_damages_picture",
                      "converted_timestamp": "Tuesday, May 15, 2018 at 03:06 PM",
                      "segment": "top",
                      "creator": "https://ship.cars/api/users/ze19/",
                      "load": "https://ship.cars/api/loads/dev4v/",
                      "damages": [],
                      "image": {
                        "thumbnail": "https://media.ship.cars/media/__sized__/2018-05-15T150806.243264-thumbnail-384x216-70.jpg",
                        "full_size": "https://media.ship.cars/media/2018-05-15T150806.243264.jpg"
                      },
                      "file": "https://media.ship.cars/media/2018-05-15T150806.243264.jpg",
                      "id": "rk0p8",
                      "url": "https://ship.cars/api/attachments/rk0p8/"
                    }
                  ],
                  "next": "https://ship.cars/api/attachments/?limit=3&offset=3",
                  "count": 142215
                }
              }
            }
          },
          "401": {
            "description": "Unauthorized",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "detail": {
                      "type": "string",
                      "description": "Message giving details about the reason for the error response."
                    }
                  }
                },
                "example": {
                  "detail": "Authentication credentials were not provided."
                }
              }
            }
          }
        },
        "x-code-samples": [
          {
            "lang": "cURL",
            "source": "curl --request GET \\\n--url 'https://ship.cars/api/attachments/?limit=3' \\\n--header 'Authorization: Bearer <<USER_ACCESS_TOKEN>>'\n"
          }
        ],
        "security": [
          {
            "bearerAuth": []
          }
        ]
      }
    }
  },
  "x-readme": {
    "explorer-enabled": true,
    "proxy-enabled": true
  }
}
```